Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter.rpl
Interface RPLParameter

All Known Implementing Classes:
  AbstractConstantParameter, AbstractDynamicParameter, AbstractRPLParameter, BlockRPLParameter, BooleanRPLConstant, ListRPLParameter, NumericRPLConstant, NumericRPLParameter, StringRPLConstant

    public interface RPLParameter

Version:
  $Revision: 1.6 $ $Date: 2004/10/19 18:12:55 $

Method Summary
`void` | `addChildConstant(RPLParameter child)` Adds the specified RPLParameter as a child constant parameter of this RPLParameter.
`void` | `addChildParameter(RPLParameter child)` Adds the specified RPLParameter as a child parameter of this RPLParameter.
`void` | `addToParent(RPLParameter parent)` Adds the this RPLParameter to as a child of the specified parent RPLParameter.
`java.util.Iterator` | `constantIterator()` Gets an Iterator over the child constant parameters of this RPLParameter.
`java.lang.String` | `getName()` Gets the name of this RPLParameter.
`java.lang.Object` | `getValue(SimModel model)` Gets the current value of this RPLParameter.
`boolean` | `next()` Increments the value of this RPLParameter to the "next" value.
`java.util.Iterator` | `parameterIterator()` Gets an Iterator over the child constant parameters of this RPLParameter.
`void` | `reset()` Resets this RPLParameter to its initial value.
`void` | `setModelParameter(SimModel model)` Sets the model parameter to the current value of this RPLParameter.

Method Detail

### next

    boolean next()

  Increments the value of this RPLParameter to the "next" value.

  Returns:
    true if the increment was successful otherwise false.

### getName

    java.lang.String getName()

  Gets the name of this RPLParameter.

### setModelParameter

    void setModelParameter(SimModel model)
                           throws RepastException

  Sets the model parameter to the current value of this RPLParameter.

  Parameters:
    `model` - the model whose parameter we want to set
  Throws:
    `RepastException` - if there is an error setting the parameter

### addChildParameter

    void addChildParameter(RPLParameter child)

  Adds the specified RPLParameter as a child parameter of this RPLParameter.

  Parameters:
    `child` - the child RPLParameter

### addChildConstant

    void addChildConstant(RPLParameter child)

  Adds the specified RPLParameter as a child constant parameter of this RPLParameter.

  Parameters:
    `child` - the child RPLParameter to add

### addToParent

    void addToParent(RPLParameter parent)

  Adds the this RPLParameter to as a child of the specified parent RPLParameter. This defines a double dispatch so that RPLParameter that are constants can add themselves to parents as constants with `addChildConstant` and RPLParameter that are not constants can add themselve with `addChildParameter`

  Parameters:
    `parent` - the parent RPLParameter

### reset

    void reset()

  Resets this RPLParameter to its initial value.

### getValue

    java.lang.Object getValue(SimModel model)
                              throws RepastException

  Gets the current value of this RPLParameter.

  Parameters:
    `model` - the model associated with this RPLParameter
  Throws:
    `RepastException` - if the value cannot be returned

### constantIterator

    java.util.Iterator constantIterator()

  Gets an Iterator over the child constant parameters of this RPLParameter.

### parameterIterator

    java.util.Iterator parameterIterator()

  Gets an Iterator over the child constant parameters of this RPLParameter.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD